PROGRAM   CharTb31 ;

VAR
   G_i : Integer ;

   G_j    : Integer ;
   G_Code : Integer ;

BEGIN
   {----- LOOP 1 }
   FOR G_i := 0 TO 15 DO BEGIN

      {----- LOOP 2 }
      FOR G_j := 0 TO 15 DO BEGIN
         G_Code := G_i*16  +  G_j ;

         {----- Write char  ( Ignoring problem chars )  }
         IF    (G_Code = $00) or (G_Code = $07) or (G_Code = $08) or (G_Code = $09)
            or (G_Code = $0A) or (G_Code = $0D) or (G_Code = $1A)
         THEN Write (   '-'   )
         ELSE Write (   Chr(G_Code)   );
      END;{j}

      WriteLn ;
   END;{i}
END.
